import { z } from "zod"

export const UserTypeValidator = z.object({
	id: z.number(),
	uid: z.string().length(36),
	email: z.string().max(255),
	passwort: z.string().min(6),
})

export const UserRegisterValidator = z.object({
	email: z.string().max(255),
	passwort: z.string().min(6),
})

export type UserType = z.infer<typeof UserTypeValidator>